/*
struct proposition
{
    char name[56];
    int  type;
    int  payoff;
    int  cost;
    BOOL isOneRollBet;
    BOOL allowsOdds;
};
*/

static struct proposition prop[] = {
    {"Pass",  PASS, 1,  1, NO, YES,
        "Rides to decision.  Win on comeout 7 or 11, or repeated point.  Lose on comeout 2, 3, 12, or 7 after a point.  Pays even money.  House edge 1.414%", },
    
    {"Don't Pass", DONT_PASS, 1, 1, NO, YES,
        "Rides to decision.  Win on comeout 2 or 3, or on 7 after a point.  Lose on comeout 7 or 11, or on repeated point.  Comeout 12 is a standoff.  Pays even money.  House edge 1.402%"},

    {"Come", COME, 1, 1, NO, NO, 
        "Rides to decision.  Win on its own comeout 7 or 11, or on its own repeated point.  Lose on comeout 2, 3, or 12, or on 7 after a point.  Pays even money.  House edge 1.414%"},    
    
    {"Come Four", COME_FOUR, 1, 1, NO, YES, 
        "Rides to decision.  Win when a 4 is rolled again.  Lose on 7.  Pays even money.  House edge 1.414%.  You can't bet on this directly."},    
    
    {"Come Five", COME_FIVE, 1, 1, NO, YES, 
        "Rides to decision.  Win when a 5 is rolled again.  Lose on 7.  Pays even money.  House edge 1.414%.  You can't bet on this directly."},    
   
    {"Come Six", COME, 1, 1, NO, YES, 
        "Rides to decision.  Win when a 6 is rolled again.  Lose on 7.  Pays even money.  House edge 1.414%.  You can't bet on this directly."},    
    
    {"Come Eight", COME_EIGHT, 1, 1, NO, YES, 
        "Rides to decision.  Win when a 8 is rolled again.  Lose on 7.  Pays even money.  House edge 1.414%.  You can't bet on this directly."},    
    
    {"Come Nine", COME_NINE, 1, 1, NO, YES, 
        "Rides to decision.  Win when a 9 is rolled again.  Lose on 7.  Pays even money.  House edge 1.414%.  You can't bet on this directly."},    
    
    {"Come Ten", COME_TEN, 1, 1, NO, YES, 
        "Rides to decision.  Win when a 10 is rolled again.  Lose on 7.  Pays even money.  House edge 1.414%.  You can't bet on this directly."},
        
    {"Don't Come", DONT_COME, 1, 1, NO, NO, 
        "Rides to decision.  Win on its own comeout 2 or 3, or on 7 after its own point.  Lose on comeout 7, 11 or on its own repeated point.  Comeout 12 is a standoff.  Pays even money.  House edge 1.402%."},
    
    {"Don't Come Four", DONT_COME_FOUR, 1, 1, NO, YES,  
        "Rides to decision.  Win on 7.  Lose if 4 is rolled before 7.  Pays even money.  House edge 1.402%.  You can't bet on this directly."},    
    
    {"Don't Come Five", DONT_COME_FIVE, 1, 1, NO, YES,  
        "Rides to decision.  Win on 7.  Lose if 5 is rolled before 7.  Pays even money.  House edge 1.402%.  You can't bet on this directly."},    
    
    {"Don't Come Six", DONT_COME_SIX, 1, 1, NO, YES,  
        "Rides to decision.  Win on 7.  Lose if 6 is rolled before 7.  Pays even money.  House edge 1.402%.  You can't bet on this directly."},    
    
    {"Don't Come Eight", DONT_COME_EIGHT, 1, 1, NO, YES,  
        "Rides to decision.  Win on 7.  Lose if 8 is rolled before 7.  Pays even money.  House edge 1.402%.  You can't bet on this directly."},    
    
    {"Don't Come Nine", DONT_COME_NINE, 1, 1, NO, YES,  
        "Rides to decision.  Win on 7.  Lose if 9 is rolled before 7.  Pays even money.  House edge 1.402%.  You can't bet on this directly."},    
   
    {"Don't Come Ten", DONT_COME_TEN, 1, 1, NO, YES,  
        "Rides to decision.  Win on 7.  Lose if 10 is rolled before 7.  Pays even money.  House edge 1.402%.  You can't bet on this directly."},

    {"Place The Four", PLACE_FOUR, 9, 5, NO, NO,  
        "Rides to decision.  Hit 4 and win, or lose to 7.  Pays $9 for every $5 bet, and even money on bets below $5.  True odds 10 to 5.  House edge 6.66%"},    
    
    {"Place The Five", PLACE_FIVE, 7, 5, NO, NO,  
        "Rides to decision.  Hit 5 and win, or lose to 7.  Pays $7 for every $5 bet, and even money on bets below $5.  True odds 7.5 to 5.  House edge 4.00%"},    
    
    {"Place The Six", PLACE_SIX, 7, 6, NO, NO,  
        "Rides to decision.  Hit 6 and win, or lose to 7.  Pays $7 for every $6 bet, and even money on bets below $5.  True odds 6 to 5.  House edge 1.515%"},    
    
    {"Place The Eight", PLACE_EIGHT, 7, 6, NO, NO,  
        "Rides to decision.  Hit 8 and win, or lose to 7.  Pays $7 for every $6 bet, and even money on bets below $5.  True odds 6 to 5.  House edge 1.515%"},    
    
    {"Place The Nine", PLACE_NINE, 7, 5, NO, NO,  
        "Rides to decision.  Hit 9 and win, or lose to 7.  Pays $7 for every $5 bet, and even money on bets below $5.  True odds 7.5 to 5.  House edge 4.00%"},    
    
    {"Place The Ten", PLACE_TEN, 9, 5, NO, NO,  
        "Rides to decision.  Hit 10 and win, or lose to 7.  Pays $9 for every $5 bet, and even money on bets below $5.  True odds 10-5.  House edge 6.66%"},
    
    
    {"Big Six", BIG_SIX, 1, 1, NO, NO,  
        "Rides to decision.  Hit 6 and win, or lose to 7.  Pays even money.  True odds 6 to 5.  House edge 9.09%"},    
   
    {"Big Eight", BIG_EIGHT, 1, 1, NO, NO,  
        "Rides to decision.  Hit 8 and win, or lose to 7.  Pays even money.  True odds 6 to 5.  House edge 9.09%"},    
   
    {"The Field", FIELD, 1, 1, YES, NO,  
        "One roll bet.  Win on 2, 3, 4, 9, 10, 11, or 12.  Pays even money, or double on 2 or 12.  House edge 2.77% to 5.55%"},
    
   
    {"Hard Four", HARD_FOUR, 7, 1, NO, NO,  
        "Rides to decision.  Win on 2 & 2.  Lose on the \"easy way\" or on 7.  Pays $8 for $1. House edge 11.11%"},     
   
    {"Hard Ten", HARD_TEN, 7, 1, NO, NO,  
        "Rides to decision.  Win on 5 & 5.  Lose on the \"easy way\" or on 7.  Pays $8 for $1. House edge 11.11%"},    
   
    {"Hard Six", HARD_SIX, 9, 1, NO, NO,  
        "Rides to decision.  Win on 3 & 3.  Lose on the \"easy way\" or on 7.  Pays $10 for $1. House edge 9.09%"},    
   
    {"Hard Eight", HARD_EIGHT, 9, 1, NO, NO,  
        "Rides to decision.  Win on 4 & 4.  Lose on the \"easy way\" or on 7.  Pays $10 for $1. House edge 9.09%"},    
    
   
    {"Two", TWO, 29, 1, YES, NO,  
        "A one roll bet.  Roll a two and win.  Pays $30 for $1.  True odds 35 to 1.  House edge 16.66%"},    
  
    {"Three", THREE, 14, 1, YES, NO,  
        "A one roll bet.  Roll a three and win.  Pays $15 for $1.  True odds 17 to 1.  House edge 16.66%"},    
   
    {"Eleven", ELEVEN, 14, 1, YES, NO,  
        "A one roll bet.  Hit 11 and win.  Pays $15 for $1.  True odds 17 to 1.  House edge 16.66%"},
  
    {"Twelve", TWELVE, 29, 1, YES, NO,  
        "A one roll bet.  Roll a twelve and win.  Pays $30 for $1.  True odds 35 to 1.  House edge 16.66%"},    
  
//    {"The Horn", HORN, 29, 4, YES, NO,  
///        "A one roll bet. Hit either a 2, 3, 11, or 12 and win.  A bet on the Horn is //divided equally amount Two, Three, Eleven, and Twelve, so bets here must be made in 4 //times the table minimum."},    

  
    {"Any Craps", ANY_CRAPS, 7, 1, YES, NO,  
        "A one roll bet.  Hit 2, 3, or 12 and win.  Pays $8 for $1.  True odds 8 to 1.  House edge 11.11%"},    
  
    {"Any Seven", ANY_SEVEN, 4, 1, YES, NO,  
        "A one roll bet.  Hit any 7 and win.  Pays $5 for $1.  True odds 5 to 1.  House edge 16.66%"}    
   
};
